<?php
class CustomPage extends ComPage {
	public function CustomPage(){
		$this->ComPage();
	}
	public function OnCount(){
		//-- #Order 0 --
		$tmpSQL=' SELECT A.shsotID
			FROM {Nets.TableHead}shopsaleorder AS A
			WHERE 1=1 AND A.shsotState=0 ';
		$tmpSTR=str_replace('{Nets.TableHead}',$this->sysTableHead,$tmpSQL);
		$tmpData0=$this->sDb->Search($tmpSTR);
		$this->sCount_Order0=count($tmpData0);
		//-- #Order 1 --
		$tmpSQL=' SELECT A.shsotID
			FROM {Nets.TableHead}shopsaleorder AS A
			WHERE 1=1 AND A.shsotState=1 ';
		$tmpSTR=str_replace('{Nets.TableHead}',$this->sysTableHead,$tmpSQL);
		$tmpData0=$this->sDb->Search($tmpSTR);
		$this->sCount_Order1=count($tmpData0);
		//-- #Order 2 --
		$tmpSQL=' SELECT A.shsotID
			FROM {Nets.TableHead}shopsaleorder AS A
			WHERE 1=1 AND A.shsotState=2 ';
		$tmpSTR=str_replace('{Nets.TableHead}',$this->sysTableHead,$tmpSQL);
		$tmpData0=$this->sDb->Search($tmpSTR);
		$this->sCount_Order2=count($tmpData0);
		//-- #Order 3 --
		$tmpSQL=' SELECT A.shsotID
			FROM {Nets.TableHead}shopsaleorder AS A
			WHERE 1=1 AND A.shsotState=3 ';
		$tmpSTR=str_replace('{Nets.TableHead}',$this->sysTableHead,$tmpSQL);
		$tmpData0=$this->sDb->Search($tmpSTR);
		$this->sCount_Order3=count($tmpData0);
		//-- #Feedback --
		$tmpSQL=' SELECT A.cfbtID
			FROM {Nets.TableHead}cmsfeedback AS A
			INNER JOIN {Nets.TableHead}cmsfeedbackcont AS B ON B.cfbctIndexID=A.cfbtID
			WHERE 1=1 AND LENGTH(B.cfbctBackContent)<3 ';
		$tmpSTR=str_replace('{Nets.TableHead}',$this->sysTableHead,$tmpSQL);
		$tmpData0=$this->sDb->Search($tmpSTR);
		$this->sCount_Feedback=count($tmpData0);
		
		
		
		return 0;
	}
	
	
}
?>